"""Add watchlist description

Revision ID: 1359d338b211
Revises: 96749ada280d
Create Date: 2018-10-25 13:17:30.368857

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "1359d338b211"
down_revision = "96749ada280d"
branch_labels = None
depends_on = None


def upgrade():
    op.add_column("watchlists", sa.Column("description", sa.String(), nullable=True))


def downgrade():  # pragma: no cover
    op.drop_column("watchlists", "description")
