"""rename report score to severity

Revision ID: 53873af1d9d9
Revises: abed9042d4cb
Create Date: 2018-07-15 15:37:51.341776

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "53873af1d9d9"
down_revision = "abed9042d4cb"
branch_labels = None
depends_on = None


def upgrade():
    op.alter_column("reports", "score", new_column_name="severity")
    op.execute("UPDATE reports SET severity = div(severity, 10)")

    op.rename_table("report_score_overrides", "report_severity_overrides")
    op.alter_column("report_severity_overrides", "score", new_column_name="severity")


def downgrade():  # pragma: no cover
    op.alter_column("report_severity_overrides", "severity", new_column_name="score")
    op.rename_table("report_severity_overrides", "report_score_overrides")

    op.alter_column("reports", "severity", new_column_name="score")
    op.execute("UPDATE reports SET score = score * 10")
