"""add alert classification fields

Revision ID: 1378574c37bf
Revises: 4a940b7aa625
Create Date: 2022-12-20 10:48:39.794774

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "1378574c37bf"
down_revision = "4a940b7aa625"
branch_labels = None
depends_on = None


def upgrade():
    op.add_column(
        "watchlists",
        sa.Column(
            "alert_classification_enabled", sa.Boolean(), nullable=True, default=False
        ),
    )
    op.add_column(
        "feeds",
        sa.Column(
            "alert_classification_feature_enabled",
            sa.Boolean(),
            nullable=True,
            default=False,
        ),
    )


def downgrade():
    op.drop_column("watchlists", "alert_classification_enabled")
    op.drop_column("feeds", "alert_classification_feature_enabled")
