"""org_key to org_id

Revision ID: 78c4d3384497
Revises: b8c8f792462f
Create Date: 2018-06-20 07:53:01.101578

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "78c4d3384497"
down_revision = "b8c8f792462f"
branch_labels = None
depends_on = None


def upgrade():
    op.alter_column("ignore", "org_key", new_column_name="org_id")
    op.alter_column("report_score_overrides", "org_key", new_column_name="org_id")


def downgrade():  # pragma: no cover
    op.alter_column("ignore", "org_id", new_column_name="org_key")
    op.alter_column("report_score_overrides", "org_id", new_column_name="org_key")
